<template>
  <div id="app">
    <div class="container">
      <div class="col-md-auto">
        <h1>НоваПошта</h1>
        <h2>Відділення</h2>
        <br />
        <a>Виберіть місто</a> <br />
        <select class="form-control" v-model="city">
          <option v-for="item in cityes" v-bind:key="item.city">
            {{ item.Description }}
          </option>
        </select>
        <button class="btn btn-danger" @click="vidd()">Обрати</button>
      </div>
      <br />
      <a>Відділення:</a>
      <br />
      <div class="col-md-auto">
        <select class="form-control">
          <option v-for="item in vidl" v-bind:key="item.vidd">
            {{ item.Description }}
          </option>
        </select>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "App",
  data() {
    return {
      cityes: [],
      mi: {},
      city: "",
      vidl: [],
      mRef: "",
    };
  },
  mounted: function () {
    axios
      .post("https://api.novaposhta.ua/v2.0/json/", {
        modelName: "AddressGeneral",
        calledMethod: "getCities",

        apiKey: "9a557481f95094531372a9d1b55222c8",
      })
      .then((response) => {
        console.log(response.data.data);
        this.cityes = response.data.data;
      });
  },
  methods: {
    vidd: function () {
      axios
        .post("https://api.novaposhta.ua/v2.0/json/", {
          modelName: "AddressGeneral",
          calledMethod: "getWarehouses",
          methodProperties: {
            Description: "Description",
          },
          apiKey: "9a557481f95094531372a9d1b55222c8",
        })
        .then((response) => {
          console.log(response.data.data);
          this.vidl = response.data.data;
        });
    },
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: rgb(247, 243, 243);
  color: red;
  margin-top: 60px;
}
</style>
